Last Comment Bug 821812 - signalling code hangs on android because it has no writable tmpdir for domain sockets
: signalling code hangs on android because it has no writable tmpdir for domain...
Status: RESOLVED FIXED
[WebRTC], [blocking-webrtc-] [qa-]
:
Product: Core
Classification: Components
Component: WebRTC: Signaling (show other bugs)
: Trunk
: ARM Android
: P1 normal (vote)
: mozilla20
Assigned To: Dan Mosedale (:dmose)
: Jason Smith [:jsmith]
:
Mentors:
Depends on: 794240
Blocks: 819854
  Show dependency treegraph
 
Reported: 2012-12-14 11:05 PST by Dan Mosedale (:dmose)
Modified: 2012-12-27 10:05 PST (History)
5 users (show)
dmose: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Attempt to use TMPDIR with defined fallbacks for IPC socks (7.57 KB, patch)
2012-12-20 15:13 PST, Dan Mosedale (:dmose)
rjesup: review+
Details | Diff | Splinter Review
Attempt to use TMPDIR with defined fallbacks for IPC socks, v2 (7.55 KB, patch)
2012-12-21 10:28 PST, Dan Mosedale (:dmose)
dmose: review+
Details | Diff | Splinter Review

Description Dan Mosedale (:dmose) 2012-12-14 11:05:35 PST
Splitting off from bug 819854; patch in progress.
Comment 1 Dan Mosedale (:dmose) 2012-12-20 15:13:03 PST
Created attachment 694587 [details] [diff] [review]
Attempt to use TMPDIR with defined fallbacks for IPC socks

The comments in the patch should explain what's going on; there is a bit of additional context in bug 823741, which is linked to from the patch as well.
Comment 2 Dan Mosedale (:dmose) 2012-12-20 15:23:09 PST
Try server build in progress: 

https://tbpl.mozilla.org/?tree=Try&rev=2566574e04fa
Comment 3 Randell Jesup [:jesup] 2012-12-20 18:51:47 PST
Comment on attachment 694587 [details] [diff] [review]
Attempt to use TMPDIR with defined fallbacks for IPC socks

Review of attachment 694587 [details] [diff] [review]:
-----------------------------------------------------------------

trailing spaces...
Comment 4 Dan Mosedale (:dmose) 2012-12-21 10:28:32 PST
Created attachment 694905 [details] [diff] [review]
Attempt to use TMPDIR with defined fallbacks for IPC socks, v2

Removed trailing spaces; carrying forward r=jesup.
Comment 5 Dan Mosedale (:dmose) 2012-12-21 10:30:51 PST
Pushed to mozilla-inbound:

https://hg.mozilla.org/integration/mozilla-inbound/rev/3f94e6ce99f7

Setting in-testsuite+, as signalling_unittests cover this, and are in fact what found the problem.
Comment 6 :Ms2ger (⌚ UTC+1/+2) 2012-12-22 06:43:52 PST
https://hg.mozilla.org/mozilla-central/rev/3f94e6ce99f7
Comment 7 :Ms2ger (⌚ UTC+1/+2) 2012-12-23 06:49:30 PST
Comment on attachment 694905 [details] [diff] [review]
Attempt to use TMPDIR with defined fallbacks for IPC socks, v2

Review of attachment 694905 [details] [diff] [review]:
-----------------------------------------------------------------

::: media/webrtc/signaling/src/sipcc/core/sipstack/sip_platform_task.c
@@ +152,5 @@
> + *
> + * @return            The length of the written output not including the NULL
> + *                    terminator, or -1 if an error occurs.
> + */
> +static PRUint32 sip_get_sock_dir_tmpl(char *out, PRUint32 outlen,

For future reference, we use uint32_t.
Comment 8 Dan Mosedale (:dmose) 2012-12-27 10:05:56 PST
Good catch; thanks.  I'll keep the NSPR types encapsulated in future patches.

Note You need to log in before you can comment on or make changes to this bug.